---
title: Screen.availWidth
slug: Web/API/Screen/availWidth
tags:
  - API
  - CSSOM View
  - Property
  - Reference
---
<div>{{APIRef("CSSOM View")}}</div>

<p>The <code><strong>Screen.availWidth</strong></code> property returns the amount of horizontal space (in pixels) available to the window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>var <em>width</em> = window.screen.availWidth</code></pre>

<h2 id="Example">Example</h2>

<pre class="brush:js">var screenAvailWidth = window.screen.availWidth;

console.log(screenAvailWidth);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM View", "#dom-screen-availwidth", "Screen.availWidth")}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.availWidth")}}</p>
